/// <reference types="node" />
import { JsonObject } from 'type-fest';
export declare const createNamespace: (dir: string, namespace: string) => Promise<void>;
export declare const buildFilename: (dir: string, namespace: string, key: string) => string;
export declare const globNamespace: (dir: string, namespace: string) => Promise<string[]>;
export declare const readItem: <T extends JsonObject>(filename: string, encoding: BufferEncoding, deserialize: (data: string) => JsonObject) => Promise<T | undefined>;
